list(APPEND incs ".")
list(APPEND incs "${IDF_PATH}/components/freertos/FreeRTOS-Kernel/include/freertos")
list(APPEND incs "../components/system/include")
list(APPEND incs "../components/system/source")
list(APPEND incs "../components/system/source/k_kit")
list(APPEND incs "../components/system/source/shell")

list(APPEND srcs "esp32/kernel/os_heap.c")
list(APPEND srcs "esp32/kernel/os_mutex.c")
list(APPEND srcs "esp32/kernel/os_hook.c")
list(APPEND srcs "esp32/kernel/os_timer.c")
list(APPEND srcs "esp32/kernel/os_semaphore.c")
list(APPEND srcs "esp32/kernel/os_thread.c")
list(APPEND srcs "esp32/kernel/os_kit.c")
list(APPEND srcs "esp32/kernel/os_service.c")
list(APPEND srcs "esp32/chip/gpio_esp32.c")
list(APPEND srcs "esp32/chip/uart_esp32.c")
list(APPEND srcs "esp32/soc_shell.c")
list(APPEND srcs "esp32/os_entry.c")

idf_component_register(
    INCLUDE_DIRS ${incs}
    SRCS ${srcs}
    REQUIRES
        driver
        nvs_flash
        spi_flash
)
